Merge remote-tracking branch 'origin/master' into leap_master
[puppet_stdlib.git] / .gemspec
1 #
2 # -*- encoding: utf-8 -*-
3
4 Gem::Specification.new do |s|
5   s.name = "puppetmodule-stdlib"
6
7   s.version = "4.0.2"
8
9   s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
10   s.authors = ["Puppet Labs"]
11   s.date = "2013-04-12"
12   s.description = [ 'This Gem format of the stdlib module is intended to make',
13                     'it easier for _module authors_ to resolve dependencies',
14                     'using a Gemfile when running automated testing jobs like',
15                     'Travis or Jenkins.  The recommended best practice for',
16                     'installation by end users is to use the `puppet module',
17                     'install` command to install stdlib from the [Puppet',
18                     'Forge](http://forge.puppetlabs.com/puppetlabs/stdlib).' ].join(' ')
19   s.email = "puppet-dev@puppetlabs.com"
20   s.executables = []
21   s.files = [ 'CHANGELOG', 'CONTRIBUTING.md', 'Gemfile', 'LICENSE', 'Modulefile',
22               'README.markdown', 'README_DEVELOPER.markdown', 'RELEASE_PROCESS.markdown',
23               'Rakefile', 'spec/spec.opts' ]
24   s.files += Dir['lib/**/*.rb'] + Dir['manifests/**/*.pp'] + Dir['tests/**/*.pp'] + Dir['spec/**/*.rb']
25   s.homepage = "http://forge.puppetlabs.com/puppetlabs/stdlib"
26   s.rdoc_options = ["--title", "Puppet Standard Library Development Gem", "--main", "README.markdown", "--line-numbers"]
27   s.require_paths = ["lib"]
28   s.rubyforge_project = "puppetmodule-stdlib"
29   s.rubygems_version = "1.8.24"
30   s.summary = "This gem provides a way to make the standard library available for other module spec testing tasks."
31
32   if s.respond_to? :specification_version then
33     s.specification_version = 3
34
35     if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
36     else
37     end
38   else
39   end
40 end